Bug 242469 - NetworkManager will not connect to open wireless network
NetworkManager will not connect to open wireless network
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
7
x86_64 Linux
low Severity high
: ---
: ---
Assigned To: Dan Williams
:
: 245624 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-04 09:34 EDT by Brian Wheeler
Modified: 2008-06-16 21:24 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-16 21:24:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
NetworkManager output (15.12 KB, text/plain)
2008-04-22 18:19 EDT, Ian Malone
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 324660 None None None Never

  None (edit)
Description Brian Wheeler 2007-06-04 09:34:18 EDT
Description of problem:

NetworkManager refuses to connect to unencrypted network


Version-Release number of selected component (if applicable):
NetworkManager-glib-0.6.5-2.fc7
NetworkManager-gnome-0.6.5-2.fc7
NetworkManager-glib-0.6.5-2.fc7
NetworkManager-0.6.5-2.fc7
NetworkManager-0.6.5-2.fc7


How reproducible:

Every Time

Steps to Reproduce:
1. Boot to desktop
2. use network manager to attach to unencrypted wireless
3. fail
  
Actual results:

Connection fails

Expected results:

Valid wireless connection

Additional info:

I can use iwconfig and dhclient to manually set up connection, so the hardware
is working as one would expect.  It just seems that NetworkManager gets confused
with the WPA stuff.  The "IU Wireless" is an open network on which a VPN is run.


Output in /var/log/messages:

Jun  4 09:20:43 bender NetworkManager: <info>  User Switch:
/org/freedesktop/NetworkManager/Devices/wlan0 / IU Wireless 
Jun  4 09:20:43 bender NetworkManager: <info>  Deactivating device wlan0. 
Jun  4 09:20:43 bender NetworkManager: <WARN> 
nm_device_802_11_wireless_set_essid(): error setting ESSID to '' for device
wlan0: Invalid argument 
Jun  4 09:20:43 bender dhcdbd: message_handler: message handler not found under
/com/redhat/dhcp/wlan0 for sub-path wlan0.dbus.get.reason
Jun  4 09:20:43 bender NetworkManager: <info>  Device wlan0 activation scheduled... 
Jun  4 09:20:43 bender NetworkManager: <info>  Activation (wlan0) started... 
Jun  4 09:20:43 bender NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) scheduled... 
Jun  4 09:20:43 bender NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) started... 
Jun  4 09:20:43 bender NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) scheduled... 
Jun  4 09:20:43 bender NetworkManager: <info>  Activation (wlan0) Stage 1 of 5
(Device Prepare) complete. 
Jun  4 09:20:43 bender NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) starting... 
Jun  4 09:20:43 bender NetworkManager: <info>  Activation (wlan0/wireless):
access point 'IU Wireless' is unencrypted, no key needed. 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: sending command
'INTERFACE_ADD wlan0                wext    /var/run/wpa_supplicant ' 
Jun  4 09:20:43 bender kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: response was 'OK' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: sending command 'AP_SCAN 1' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: response was 'OK' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: sending command 'ADD_NETWORK' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: response was '0' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: sending command 'SET_NETWORK
0 ssid 495520576972656c657373' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: response was 'OK' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: sending command 'SET_NETWORK
0 key_mgmt NONE' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: response was 'OK' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: sending command
'ENABLE_NETWORK 0' 
Jun  4 09:20:43 bender NetworkManager: <info>  SUP: response was 'OK' 
Jun  4 09:20:43 bender NetworkManager: <info>  Activation (wlan0) Stage 2 of 5
(Device Configure) complete. 
Jun  4 09:20:43 bender wpa_supplicant[2692]: Trying to associate with
00:20:a6:4f:40:37 (SSID='IU Wireless' freq=2412 MHz) 
Jun  4 09:20:58 bender wpa_supplicant[2692]: Authentication with
00:00:00:00:00:00 timed out. 
Jun  4 09:21:01 bender wpa_supplicant[2692]: Trying to associate with
00:13:21:57:66:03 (SSID='IU Wireless' freq=2437 MHz) 
Jun  4 09:21:03 bender NetworkManager: <info>  Activation (wlan0/wireless):
association took too long (>20s), failing activation. 
Jun  4 09:21:03 bender NetworkManager: <info>  Activation (wlan0) failure
scheduled... 
Jun  4 09:21:03 bender NetworkManager: <info>  Activation (wlan0) failed for
access point (IU Wireless) 
Jun  4 09:21:03 bender NetworkManager: <info>  Activation (wlan0) failed. 
Jun  4 09:21:03 bender NetworkManager: <info>  Deactivating device wlan0. 
Jun  4 09:21:03 bender NetworkManager: <WARN> 
nm_device_802_11_wireless_set_essid(): error setting ESSID to '' for device
wlan0: Invalid argument 
Jun  4 09:21:03 bender wpa_supplicant[2692]: CTRL-EVENT-TERMINATING - signal 15
received 
Jun  4 09:21:04 bender kernel: ADDRCONF(NETDEV_CHANGE): wlan0: link becomes ready

Output of iwconfig:
wlan0     IEEE 802.11g  ESSID:"IU Wireless"  
          Mode:Managed  Frequency:2.412 GHz  Access Point: 00:20:A6:4F:40:37   
          Bit Rate=11 Mb/s   Tx-Power:25 dBm   
          RTS thr:off   Fragment thr:off
          Encryption key:off
          Power Management:off
          Link Quality:31/100  Signal level:-76 dBm  Noise level:-96 dBm
          Rx invalid nwid:0  Rx invalid crypt:0  Rx invalid frag:0
          Tx excessive retries:197  Invalid misc:1352   Missed beacon:0

Device Info:

BCM4318 using ndiswrapper driver.  Native driver failed similarly (and caused
touchpad jumpiness, so I switched to NDIS)

Chkconfig output:
ConsoleKit      0:off   1:off   2:off   3:on    4:on    5:on    6:off
NetworkManager  0:off   1:off   2:off   3:off   4:off   5:on    6:off
NetworkManagerDispatcher        0:off   1:off   2:off   3:off   4:off   5:off  
6:off
anacron         0:off   1:off   2:on    3:on    4:on    5:on    6:off
atd             0:off   1:off   2:off   3:on    4:on    5:on    6:off
auditd          0:off   1:off   2:on    3:on    4:on    5:on    6:off
autofs          0:off   1:off   2:off   3:on    4:on    5:on    6:off
avahi-daemon    0:off   1:off   2:off   3:off   4:off   5:off   6:off
avahi-dnsconfd  0:off   1:off   2:off   3:off   4:off   5:off   6:off
bluetooth       0:off   1:off   2:on    3:on    4:on    5:off   6:off
btseed          0:off   1:off   2:off   3:off   4:off   5:off   6:off
bttrack         0:off   1:off   2:off   3:off   4:off   5:off   6:off
capi            0:off   1:off   2:off   3:off   4:off   5:off   6:off
cpuspeed        0:off   1:on    2:on    3:on    4:on    5:on    6:off
crond           0:off   1:off   2:on    3:on    4:on    5:on    6:off
cups            0:off   1:off   2:on    3:on    4:on    5:on    6:off
dc_client       0:off   1:off   2:off   3:off   4:off   5:off   6:off
dc_server       0:off   1:off   2:off   3:off   4:off   5:off   6:off
dhcdbd          0:off   1:off   2:on    3:on    4:on    5:on    6:off
dund            0:off   1:off   2:off   3:off   4:off   5:off   6:off
firstboot       0:off   1:off   2:off   3:on    4:off   5:on    6:off
gpm             0:off   1:off   2:on    3:on    4:on    5:off   6:off
haldaemon       0:off   1:off   2:off   3:on    4:on    5:on    6:off
hidd            0:off   1:off   2:on    3:on    4:on    5:on    6:off
hplip           0:off   1:off   2:on    3:on    4:on    5:on    6:off
httpd           0:off   1:off   2:off   3:off   4:off   5:off   6:off
ip6tables       0:off   1:off   2:on    3:on    4:on    5:on    6:off
iptables        0:off   1:off   2:on    3:on    4:on    5:on    6:off
irda            0:off   1:off   2:off   3:off   4:off   5:off   6:off
irqbalance      0:off   1:off   2:on    3:on    4:on    5:on    6:off
isdn            0:off   1:off   2:on    3:on    4:on    5:off   6:off
kudzu           0:off   1:off   2:off   3:on    4:on    5:on    6:off
lirc            0:off   1:off   2:off   3:off   4:off   5:off   6:off
lm_sensors      0:off   1:off   2:on    3:on    4:on    5:on    6:off
mcstrans        0:off   1:off   2:on    3:on    4:on    5:on    6:off
mdmonitor       0:off   1:off   2:on    3:on    4:on    5:on    6:off
messagebus      0:off   1:off   2:off   3:on    4:on    5:on    6:off
multipathd      0:off   1:off   2:off   3:off   4:off   5:off   6:off
nasd            0:off   1:off   2:off   3:on    4:on    5:on    6:off
netconsole      0:off   1:off   2:off   3:off   4:off   5:off   6:off
netfs           0:off   1:off   2:off   3:on    4:on    5:on    6:off
netplugd        0:off   1:off   2:off   3:off   4:off   5:off   6:off
network         0:off   1:off   2:on    3:on    4:on    5:off   6:off
nfs             0:off   1:off   2:off   3:off   4:off   5:off   6:off
nfslock         0:off   1:off   2:off   3:on    4:on    5:on    6:off
nscd            0:off   1:off   2:off   3:off   4:off   5:off   6:off
ntpd            0:off   1:off   2:off   3:off   4:off   5:off   6:off
pand            0:off   1:off   2:off   3:off   4:off   5:off   6:off
pcscd           0:off   1:off   2:on    3:on    4:on    5:on    6:off
psacct          0:off   1:off   2:off   3:off   4:off   5:off   6:off
rdisc           0:off   1:off   2:off   3:off   4:off   5:off   6:off
readahead_early 0:off   1:off   2:on    3:on    4:on    5:on    6:off
readahead_later 0:off   1:off   2:off   3:off   4:off   5:on    6:off
restorecond     0:off   1:off   2:on    3:on    4:on    5:on    6:off
rpcbind         0:off   1:off   2:off   3:on    4:on    5:on    6:off
rpcgssd         0:off   1:off   2:off   3:on    4:on    5:on    6:off
rpcidmapd       0:off   1:off   2:off   3:on    4:on    5:on    6:off
rpcsvcgssd      0:off   1:off   2:off   3:off   4:off   5:off   6:off
saslauthd       0:off   1:off   2:off   3:off   4:off   5:off   6:off
sendmail        0:off   1:off   2:on    3:on    4:on    5:on    6:off
setroubleshoot  0:off   1:off   2:off   3:on    4:on    5:on    6:off
smartd          0:off   1:off   2:on    3:on    4:on    5:on    6:off
smolt           0:off   1:off   2:on    3:on    4:on    5:on    6:off
spamassassin    0:off   1:off   2:off   3:off   4:off   5:off   6:off
squid           0:off   1:off   2:off   3:off   4:off   5:off   6:off
sshd            0:off   1:off   2:on    3:on    4:on    5:on    6:off
syslog          0:off   1:off   2:on    3:on    4:on    5:on    6:off
tux             0:off   1:off   2:off   3:off   4:off   5:off   6:off
vncserver       0:off   1:off   2:off   3:off   4:off   5:off   6:off
winbind         0:off   1:off   2:off   3:off   4:off   5:off   6:off
wpa_supplicant  0:off   1:off   2:off   3:off   4:off   5:off   6:off
xfs             0:off   1:off   2:on    3:on    4:on    5:on    6:off
ypbind          0:off   1:off   2:off   3:off   4:off   5:off   6:off
yum-updatesd    0:off   1:off   2:off   3:on    4:on    5:on    6:off
Comment 1 George N. White III 2007-06-17 19:19:59 EDT
I had this for teh 32-bit kernel:  check

gconftool-2 --recursive-list /system/networking/wireless/networks/<essid>

on my system this was set for encryption:

 wpa_psk_key_mgt = 2
 wpa_psk_wpa_version = 2

I changed these using, e.g., 
$ gconftool-2 --type integer --set \
 /system/networking/wireless/networks/<essid>/wpa_psk_wpa_mgt 0

to get:
 wpa_psk_key_mgt = 0
 wpa_psk_wpa_version = 0
Comment 2 Ian Malone 2007-06-26 18:38:02 EDT
*** Bug 245624 has been marked as a duplicate of this bug. ***
Comment 3 Ian Malone 2007-06-26 18:52:02 EDT
The /system/networking/wireless/networks/<essid>/ fix does not work for me,
though changing the network ESSID sometimes worked. Using system-config-network
to setup a connection to a router works, but using NetworkManager to connect to
an open network doesn't. Chipset is Intel 3945, tried both iwlwifi and ipw3945
drivers.

Packages i386:
NetworkManager-glib-0.6.5-5.fc7
NetworkManager-0.6.5-5.fc7
NetworkManager-gnome-0.6.5-5.fc7

See 245624 above for dmesg and /var/log/messages extracts
Comment 4 Matthew Truch 2007-07-05 10:15:06 EDT
I am having similar problems (cannot connect to open networks, can connect to
WEP protected networks) with NetworkManager.  Let me know if my logs will help.
Comment 5 Ian Malone 2007-07-05 13:05:30 EDT
Do you know what chipset your wireless adapter uses?
Comment 6 Matthew Truch 2007-07-05 13:25:28 EDT
I have an Intel 3945 in my D620 Dell laptop.  I'm using the iwl3945 driver with
the following versions of pertinent (and non-pertinent?) packages:
NetworkManager-0.6.5-7.fc7
kernel-2.6.21-1.3228.fc7
wpa_supplicant-0.5.7-3.fc7
wireless-tools-28-4.fc7
iwlwifi-firmware-2.14.3-2
Comment 7 Ian Malone 2007-07-05 14:20:13 EDT
Possibly connected to this bug at Gnome.
Comment 8 Ian Malone 2007-07-12 07:03:21 EDT
Anyone seeing this bug may want to try confirming it at
http://bugzilla.gnome.org/show_bug.cgi?id=455737

Reports from people using drivers other than ipw3945
would be useful.

You can get the actions of NetworkManager from
/var/log/messages or by (as root):
# service NetworkManager stop
# NetworkManager --no-daemon 2>&1 | tee NM.log

Which will launch NM in no-daemon mode, from
where you should just try to use it as normal
(Ctrl-C to cancel it).
Comment 9 Brian Wheeler 2007-07-18 23:00:05 EDT
I've noticed in the last update, it seems to be doing the right thing now with
my original setup.  I hadn't updated for a while, so I'm not sure when it
actually got fixed.
Comment 10 Ian Malone 2007-07-19 03:45:00 EDT
Persists here, using NetworkManager-0.6.5-7.fc7
Comment 11 Hector Centeno 2007-08-03 17:09:51 EDT
Same problem for me. Using Ubuntu Fesity in the same laptop with Intel ipw395
wirelss works perfectly fine connecting quickly to different public internet
access points (secured and unsecured). Using Fedora 7 and official Intel 3945
driver (same problem with the official Fedora) Network Manager fails to connect
to unsecured access points and in the logs I get an association timeout error.
Comment 12 mars kasei 2007-10-01 05:13:01 EDT
I reaffirm this problem, i have Sony VAIO VGN-CR11GH with Intel iwl3945-firmware
and Fedora 7.
system-config-network to ifup wlan0 at boot time, yet it fails everytime.
Gotta reboot to MS Vista to get wireless access :(
Comment 13 Dan Williams 2008-04-22 14:56:39 EDT
Is this still an issue with latest F7 kernel and NM 0.6.6 from F7 updates?
Comment 14 Brian Wheeler 2008-04-22 15:03:19 EDT
I'm not sure if its still present in F7, but it is resolved in F8.
Comment 15 Ian Malone 2008-04-22 18:19:26 EDT
Created attachment 303390 [details]
NetworkManager output

I'm not certain.  Open networks have been fine recently, but I'm seeing some
very similar behaviour with a WEP network at the moment.  NM successfully
associates, but fails to get an IP.  Turning NM off and using
system-config-network to set the AP and WEP key works. F8 system, running
x86_64, iwl3945 driver.

dhclient-3.0.6-12
NetworkManager-0.7.0-0.6.7

Really, NM is still not ready to replace system-config-network if it can't do
basic stuff like this.
Comment 16 Dan Williams 2008-04-23 09:44:38 EDT
Ian: it works fine on open networks for a ton of other people; we have to figure
out what is different about your network.  Does your DHCP server require that
you send any options to it?  What's in your /etc/dhclient.conf file?
Comment 17 Martin Jürgens 2008-04-23 10:50:21 EDT
Dan, see bug 431445... Also Intel wifi.
Comment 18 Ian Malone 2008-04-23 16:32:22 EDT
There is no such file.

There is a /etc/dhclient-wlan0.conf

It is empty.

There is nothing funny about the network, it is a home router which, so far as I
know, is set up with the factory defaults.


This behaviour is amazingly similar to what I was seeing 10 months ago on open
networks; NM associates with the AP but is unable to get an address and gives
up.  In both cases ifup has worked with NM turned off.  Which leads me to
conlude the bug was never actually fixed, it just wasn't showing up.

To save you having to read the rest of the bug report, this behaviour occurred
back when I used the ipw3945 driver and with the kernel's iwl3945 driver.  While
there may be some quirk of the hardware that is causing this bug to trigger that
it works under Windows and with the normal networking tools, and has showed up
with NM using two different drivers might suggest that there really is some bug
in NM.
Comment 19 Bug Zapper 2008-05-14 08:46:47 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 20 Ian Malone 2008-05-14 15:41:25 EDT
Regarding the automatic closing of this bug, I'm not the submitter so I can't
change the version to Fedora 8 (which is affected as in recent comments).  Would
be a shame to have to open a new one.
Comment 21 Bug Zapper 2008-06-16 21:24:05 EDT
Fedora 7 changed to end-of-life (EOL) status on June 13, 2008. 
Fedora 7 is no longer maintained, which means that it will not 
receive any further security or bug fix updates. As a result we 
are closing this bug. 

If you can reproduce this bug against a currently maintained version 
of Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.